Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

We have a number of Apple iOS 5.1.1 corporate-owned, Wifi-only devices with internal applications that aren't ready for iOS 6. Is it possible to prevent a user from upgrading their device to iOS 6? The only solution that I've found so far is to block network access to Apple servers...but I'm not sure I have a complete list of hostnames.

share|improve this question
add comment

2 Answers 2

I'm afraid not sorry.

That said the vast majority of iOS apps are either 100% compatible between v5 and v6 or need a simple recompile with the XCode 4.5 to be ready, and dev releases of v6 have been available for 4-months+. So it's a shame that your devs didn't put the effort into fixing the root-issue, it would've save you having to go out of your way to find a workaround.

share|improve this answer
add comment

You may have some luck with OS X Mountain Lion Server as it does provide some policy management over iOS devices with the configuration profiles feature. I have not tried it, but for $20 USD from the App Store, it would certainly seem to be worth looking into it if you have a large number of corporate iPhones to manage.

There were also rumours of RIM adding iPhone, Android, Windows smart phone support in BES, but I'm not sure whether that was ever rolled out or not and what version of BES (BPS, etc.) that applied to, if any.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.